Package org.jfree.report.modules.gui.swing.printing

## Class DrawablePrintable

- java.lang.Object
- - org.jfree.report.modules.gui.swing.printing.DrawablePrintable

- All Implemented Interfaces:
    `java.awt.print.Printable`

      public class DrawablePrintable
      extends java.lang.Object
      implements java.awt.print.Printable

  Creation-Date: 15.11.2006, 22:14:09
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface java.awt.print.Printable

      `NO_SUCH_PAGE, PAGE_EXISTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrawablePrintable​(org.jfree.layouting.modules.output.graphics.PageDrawable drawable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `print​(java.awt.Graphics graphics, java.awt.print.PageFormat pageFormat, int pageIndex)` | Prints the page at the specified index into the specified `Graphics` context in the specified format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawablePrintable

          public DrawablePrintable​(org.jfree.layouting.modules.output.graphics.PageDrawable drawable)

  - ### Method Detail

    - #### print

          public int print​(java.awt.Graphics graphics,
                           java.awt.print.PageFormat pageFormat,
                           int pageIndex)
                    throws java.awt.print.PrinterException

      Prints the page at the specified index into the specified `Graphics` context in the specified format. A `PrinterJob` calls the `Printable` interface to request that a page be rendered into the context specified by `graphics`. The format of the page to be drawn is specified by `pageFormat`. The zero based index of the requested page is specified by `pageIndex`. If the requested page does not exist then this method returns NO_SUCH_PAGE; otherwise PAGE_EXISTS is returned. The `Graphics` class or subclass implements the `PrinterGraphics` interface to provide additional information. If the `Printable` object aborts the print job then it throws a `PrinterException`.
      Specified by:
        `print` in interface `java.awt.print.Printable`
      Parameters:
        `graphics` - the context into which the page is drawn
        `pageFormat` - the size and orientation of the page being drawn
        `pageIndex` - the zero based index of the page to be drawn
      Returns:
        PAGE_EXISTS if the page is rendered successfully or NO_SUCH_PAGE if `pageIndex` specifies a non-existent page.
      Throws:
        `java.awt.print.PrinterException` - thrown when the print job is terminated.